%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%computes transient discrete divergence                %
%inputs                                                %
%       p : nodes coordinates                          % 
%       t : nodes connectivities                       %
%       Ux : variable x-component                      %
%       Uy : variable y-component                      %
%       n : number of time steps                       %
%       method : finite element method (P1 or P2)      %
%outputs                                               %
%       divU : divergence of the variable U=[Ux,Uy];   % 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Abdellahi SOUEID AHMED, %
% Abderrahim JARDANI,     %
% Andr REVIL,            %
% 09/24/2012              %
%%%%%%%%%%%%%%%%%%%%%%%%%%%


function [divU]=Divergence_Operator_time(p,t,Ux,Uy,n,method)

divU=[];
for i=1:n+1
    [divUi]=Divergence_Operator(p,t,Ux(:,i),Uy(:,i),method);
    divU=[divU , divUi];
end