%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% computes integrals of shape functions on a Neumann border%%
%for P2 finite elements                                     %
%inputs                                                     %
%       a , b : bounds of range [a,b]                       %
%       z : value of Neumann boundary point                 %
%       bool :  gives the shape function to integrate       %
%output                                                     %
%       s = result                                          %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Abdellahi SOUEID AHMED, %
% Abderrahim JARDANI,     %
% Andr REVIL,            %
% 09/24/2012              %
%%%%%%%%%%%%%%%%%%%%%%%%%%%



function s=Neumann_borderP2(a,b,z,bool)
h=norm(a-b);
if bool==1
    s=z*h/6;
else
    s=4*z*h/6;
end
