%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%computes Darcy velocity                             %
%inputs                                                %
%       p : nodes coordinates                          % 
%       t : nodes connectivities                       %
%       U : pressure                                   %
%       K : permeability                               %
%       r1,r2 : anisotropy ratio                       %
%       method : finite element method (P1 or P2)      %
%outputs                                               %
%       vx : x-velocity                                % 
%       vy : y-velocity                                %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Abdellahi SOUEID AHMED, %
% Abderrahim JARDANI,     %
% Andr REVIL,            %
% 09/24/2012              %
%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [vx,vy]=Velocity(p,t,U,K,r1,r2, method)

[gradUx,gradUy]=Gradient_operator(p,t,U, method);


    vx=-(K.*r1).*gradUx;
    vy=-(K.*r2).*gradUy;


