%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% find nodes indices of a boundary                              %
%inputs                                                         %          
%        p : mesh nodes                                        %
%        border : logical array of a boundary                   %
%        b : indicates on which column we sort coordinates      %    
%output                                                         %
%      index : indices of the boundary(input border) nodes      %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Abdellahi SOUEID AHMED, %
% Abderrahim JARDANI,     %
% Andr REVIL,            %
% 09/24/2012              %
%%%%%%%%%%%%%%%%%%%%%%%%%%%


function [index]=find_indice(p,border,b)

index=[];
ind=find(border==1);
coord=p(ind,:);
if nargin ==3
    coord(:,b)=sort(coord(:,b));
    coord=unique(coord,'rows');
    c=sort(coord(:,b));

    for i = 1:size(coord,1)
        f=find( (abs(p(:,1)-coord(i,1))<.0001) & (abs(p(:,2)-c(i))<.0001));
        index=[index ; f];
    end
else
    coord=unique(coord,'rows');
    for i = 1:size(coord,1)
        f=find( (abs(p(:,1)-coord(i,1))<.0001) & (abs(p(:,2)-coord(i,2))<.0001));
        index=[index ; f];
    end
end