%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% find nodes indices of a boundary                                        %
%inputs                                                                   %          
%        p : mesh nodes                                                  %
%        border : indices of boundary nodes                               %
%        t : connectivities                                               %    
%output                                                                   %
%      normals : cosines directions of nodes on the boundary "border"     %
%                                                                         %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Abdellahi SOUEID AHMED, %
% Abderrahim JARDANI,     %
% Andr REVIL,            %
% 09/24/2012              %
%%%%%%%%%%%%%%%%%%%%%%%%%%%


function [normals]=normal_orientation_border(p,t,border)

%border's edges 
[b_edges]=find_edge(border);

%border's elements(triangles)
elements=[];
for i=1:size(b_edges,1)
    e=find_element(t,b_edges(i,:));
    elements = [elements ; e];
end

%normals of border
normals=[];
for i=1:size(b_edges,1)
    
    n = normal_orientation(t,p,b_edges(i,:),elements(i,:)); 
    normals=[normals n];
end

