

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  computes GCV function for Tikhonov regularization.                     %
%                                                                         %
%  input                                                                  % 
%          lambda : regularization parameter                              % 
%          btilde : product of left singular vectors transposes           %
%                   and data vector (b)                                   %
%          S : singular values vector                                     %
%                                                                         %
%  Output                                                                 %
%          GCVfunction : GCV function value                               %
%                                                                         %
%                                                                         %
%References : Regularization Tools : A Matlab Package for                 %
%Analysis and Solution of Discrete Ill-Posed Problems                     %
%Per Christian Hansen                                                     %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Abdellahi SOUEID AHMED, %
% Abderrahim JARDANI,     %
% Andr REVIL,            %
% 09/24/2012              %
%%%%%%%%%%%%%%%%%%%%%%%%%%%


function GCVfunction= Tikhonov_gcv_function(lambda, btilde, S)

GCVfunction=(sum(abs(btilde.*(1./(abs(S).^2+lambda^2))).^2)/...
length(btilde))/(sum(1./(abs(S).^2+lambda^2))/length(btilde))^2;
