%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%computes solution of standard inverse problem using its general          %
%formulation.                                                             %
%                                                                         %
%                                                                         %
%References : Regularization Tools : A Matlab Package for                 %
%Analysis and Solution of Discrete Ill-Posed Problems                     %
%Per Christian Hansen                                                     %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


function [x]=Transformation_back(L_p,x_s,A,b,K,M)

if (nargin==6)
  [p,q] = size(x_s); Km = size(K,1);
  if (Km==0)
    x = L_p*x_s;
  else
    x = L_p*x_s + K*(M*(b*ones(1,q) - A*(L_p*x_s)));
  end
else
  x_0 = A; [p,q] = size(x_s);
  x = L_p*x_s + x_0*ones(1,q);
end