%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%plots exact solution and inverted solution                      %
%                                                                %
%inputs                                                          %
%       x_lambda : inverted solution                             %
%           e    :  exact solution                               %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Abdellahi SOUEID AHMED, %
% Abderrahim JARDANI,     %
% Andr REVIL,            %
% 09/24/2012              %
%%%%%%%%%%%%%%%%%%%%%%%%%%%


function inversion_plot(x_lambda,e)


global nx
global nz

clf()

old_bar = findobj('tag','Colorbar');
delete(old_bar);

col = 'south';
cbar=colorbar(col);
cpos=get(cbar,'Position');
cpos(4)=cpos(4)/2; 
cpos(2)=cpos(2) - 0.1; 
cpos(1) = 0.05;
cpos(3) = .9; 
set(cbar,'Position',cpos);

ax(1)=subplot(2,2,1);
plot_tri_interp(e(1:nx*nz));cl=caxis;title('exact Jx ');
ax(2)=subplot(2,2,2);
plot_tri_interp(x_lambda(1:nx*nz)); caxis(cl);title('reconstructed Jx');
ax(3)=subplot(2,2,3);
plot_tri_interp(e(nx*nz+1:2*nx*nz)); caxis(cl);title('exacte Jy');
ax(4)=subplot(2,2,4);
plot_tri_interp(x_lambda(nx*nz+1:2*nx*nz));caxis(cl);title('reconstructed Jy ');

for i=1:4
    pos=get(ax(i), 'Position');
    set(ax(i), 'Position', [pos(1) pos(2) 0.85*pos(3) pos(4)]);
end
