%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%plots quadratic finite elements solution                           %
%inputs :                                                           %
%        t : mesh connectivities                                    %
%        p : mesh coordinates                                       %
%        u : quadratic finite elements solution                     %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Abdellahi SOUEID AHMED, %
% Abderrahim JARDANI,     %
% Andr REVIL,            %
% 09/24/2012              %
%%%%%%%%%%%%%%%%%%%%%%%%%%%

function plot_QFEM(t,p,u)
n=size(t,1);

t3=triangulation_order6_to_order3(n,t');
trisurf ( t3', p(:,1), p(:,2),0*p(:,1),u, 'FaceColor', 'interp', ...
    'EdgeColor', 'interp' )
view(2),axis equal

  xlabel ( 'X', 'FontName', 'Helvetica', 'FontWeight', 'bold', ...
    'FontSize', 16 );

  ylabel ( 'Y', 'FontName', 'Helvetica', 'FontWeight', 'bold', ...
    'FontSize', 16, 'Rotation', 0 );

  zlabel ( 'u', 'FontName', 'Helvetica', 'FontWeight', 'bold', ...
    'FontSize', 16, 'Rotation', 0 );

  title ( 'Plot of variable u', 'FontName', 'Helvetica', 'FontWeight', ...
    'bold', 'FontSize', 16 );

