
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%plots solution on a finite element mesh                                 %
%inputs                                                                  %
%       t : nodes connectivities                                         %
%       p : nodes coordinates                                            %
%       u : variable to plot                                             %
%       method : P1 for P1 finite elements and P2 for P2 finite elements %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Abdellahi SOUEID AHMED, %
% Abderrahim JARDANI,     %
% Andr REVIL,            %
% 09/24/2012              %
%%%%%%%%%%%%%%%%%%%%%%%%%%%


function plot_solution(t,p,u,method)

switch method
    case 'P1'
        trisurf(t,p(:,1),p(:,2),0*p(:,1),u,'edgecolor','none','LineStyle','none','facecolor','interp');
        view(2),axis equal,colorbar, grid off
    case 'P2'
        t3 = triangulation_order6_to_order3 ( size(t,1), t' );
        trisurf ( t3', p(:,1), p(:,2),0*p(:,1),u, 'FaceColor', 'interp', ...
            'EdgeColor', 'interp' )
        view(2),axis equal,colorbar, grid off
    otherwise
        error('non existing finite element method')
end

