%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%this function interpolates a distribution "data" (defined on a grid) %
% on a linear finite element mesh and plots it.                       %
%                                                                     %
%input :                                                              %
%       data : distibution to plot                                    %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Abdellahi SOUEID AHMED, %
% Abderrahim JARDANI,     %
% Andr REVIL,            %
% 09/24/2012              %
%%%%%%%%%%%%%%%%%%%%%%%%%%%


function [data_interp]=plot_tri_interp(data)

global p
global t
global xmin
global xmax
global ymin
global ymax
global dx
global dz

x = (xmin+dx/2):dx:(xmax-dx/2);
z = (ymin+dz/2):dz:(ymax-dz/2);


[xm, zm] = meshgrid(x,z);
m=size(xm,1);
n=size(zm,2);
XX=reshape(xm,m*n,1);
YY=reshape(zm,m*n,1);


data_interp = griddata(XX,YY,data,p(:,1),p(:,2),'nearest');
plot_num(t,p,data_interp);

