%%%%%%%%%%%%%%%%%%Table of contents for SPINV%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Function                            Description
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% bndproj              Project boundary points to true boundary
% BOUNDEDGES           Find boundary edges from triangular mesh
% center               computes triangle centers coordinates
% CIRCUMCENTER         computes the circumcenters of a set of triangles
% CSVD                 Compact singular value decomposition
% Dam_test             solves Darcy's equation  coupled with electrical potential equation for the dam study case
% dcircle              returns the signed distance of one or more points to a circle
% ddiff                returns the signed distance to a region that is the difference of two regions
% dexpr                computes the signed distance for a general implicit expression
% dintersect           sets the signed distance to the intersection of two regions
% DISTMESH2D           2-D Mesh Generator using Distance Functions
% distmesh2doriginal   2-D Mesh Generator using Distance Functions
% DISTMESHND           N-D Mesh Generator using Distance Functions
% DISTMESHSURFACE      3-D Surface Mesh Generator using Distance Functions
% Divergence_Operator           computes discrete divergence   
% Divergence_Operator_time      computes transient discrete divergence 
% dmatrix              returns the signed distance by interpolation from known values on a Cartesian grid
% dmatrix3d            returns the signed distance by interpolation from known values on a Cartesian grid in 3D
% dpoly                returns the signed distance of one or more points to a polygon
% drectangle           returns the signed distance of one or more points to a rectangle
% drectangle0          returns the signed distance of one or more points to a rectangle
% DSEGMENT             computes the distance of points to line segments
% dsphere              returns the signed distance of one or more points to a sphere
% dunion               returns the signed distance to a union of two regions
% edgelist             Compute a list of edges in a triangulation
% Fast_Forward_Problem  computes forward problem solution for the inverse problem 
% fast_geothermy       solves inverse problem for the geothermal study case
% Fast_Kernel          computes kernel matrix faster than classical method
% fats_synthetic       solves inverse problem for a  synthetic test case
% find_edge            computes connectivities of nodes of a border
% find_element         finds an element (triangle) knowing one of its edges
% find_indice          find nodes indices of a boundary  
% findinterior         Returns a list of which edges in a triangulation are edges
% FIXMESH              Remove duplicated/unused nodes and fix element orientation
% Forward_Problem      computes forward problem solution for the inverse problem   
% geothermy            solves inverse problem for the geothermal study case
% GET_L                Compute discrete derivative operators
% Gradient_operator   computes discrete gradient 
% hmatrix             computes the mesh size function from values specified on a Cartesian grid
% hmatrix3d           computes the mesh size function from values specified on a Cartesian grid in 3D
% huniform            returns a uniform mesh size function
% interpolation      interpolates electric density current (defined on a grid) on a finite element mesh
% inversion_plot     plots exact solution and inverted solution  
% Kernel             computes kernel matrix   
% KMG2D              2D-mesh generator using signed distance & size functions7
% KMG2DREF           Refine a two-dimensional triangular mesh
% L_CORNER           Locate the "corner" of the L-curve
% L_CURVE            Plot the L-curve and find its "corner"
% MESHDEMO2d         Distmesh2d examples
% MESHDEMOND         distmeshnd examples
% MKT2T              Compute element connectivities from element indices
% nearest_point          gives index of the nearest point in the mesh to the point which coordinates are (x,y)  
% nearest_point_border   gives index of the nearest point in the mesh to the point which abscissa is x and which is belonging to the boundary "border" 
% Neumann_border          computes integrals of shape functions on a Neumann border for P1 finite elements 
% Neumann_borderP2         computes integrals of shape functions on a Neumann border for P2 finite elements 
% normal_orientation        computes outward normal (using cosine directions) on an edge
% normal_orientation_border      find nodes indexes of a boundary 
% plot_num            plots linear finite elements solution
% plot_QFEM           plots quadratic finite elements solution
% plot_QFEM_interp    interpolates a distribution "data" (defined on a grid) on a quadratic finite element mesh and plots it
% plot_solution       plots solution on a finite element mesh
% plot_tri_interp     this fucntion interpolates a distribution "data" (defined on a grid)on a linear finite element mesh and plots it
% plot_vector         plots vector defined on a grid 
% plotmesh_num        plotmesh plots an unstrucured grid in 2D
% plotmesh_tru        plotmesh plots an unstrucured grid in 2D 
% protate             rotates a set of points by a given angle
% pshift              shifts a set of points by a given increment
% Quadratic           solves Darcy equation on a square using quadratic finite element
% Quasi_static               computes stiffness matrix, right hand-side and solution U  
% Quasi_static_bis           computes  right hand-side and solution U while stiffness matrix is  already known
% Quasi_staticP2             computes stiffness matrix, right hand-side and solution U using P2 finite
% Regularization              computes the regularized solution of optimization problem  
% Regularization_parameter       computes regularization parameter

% Regularization_term        computes the regularization term
% scdm               evaluates a function f on a set of points
% secondM            computes time-dependent sink source 
% simpplot           simplex plot 
% simpqual           Simplex quality
% SIMPVOL            Simplex volume
% SURFTRI            Find surface triangles from tetrahedra mesh
% synthetic          solves inverse problem for a synthetic teste case 
% tarea              computes triangle area 
% Tikhonov_gcv_function        computes GCV function for Tikhonov regularization
% Time_dependent               computes stiffness matrix, right hand-side and solution for time-dependent problem
% Time_dependentP2             computes stiffness matrix, right hand-side and solution for time-dependent problem using P2 fem
% Transformation               transforms ageneral inverse problem into a standard one
% Transformation_back          computes solution of standard inverse problem using its general formulation
% TRIANGULATION_ORDER6_CONTOUR        contour plots data at the nodes of a six node triangle
% TRIANGULATION_ORDER6_TO_ORDER3      linearizes a quadratic triangulation
% uniformity             determines the uniformity of a mesh
% UNIREF                 Uniform mesh refinement
% Velocity               computes Darcy's velocity 
% volcano_test           solves Darcy's equation  coupled with electrical potential equation for the volcano study case
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%










